{
    "version": "0.2.0",
    "configurations": [
        {
            "cwd": "${workspaceRoot}",
            "type": "cortex-debug",
            "request": "launch",
            "name": "openocd",
            "servertype": "openocd",
            "executable": "build\\Project\\Project.elf",
            "runToEntryPoint": "main",
            "configFiles": [
                "interface/cmsis-dap.cfg",
                "target/py32f002b.cfg"
            ],
            "toolchainPrefix": "arm-none-eabi",
            "svdFile": ".pack/Puya/PY32F0xx_DFP.1.2.0/CMSIS/SVD/py32f002bxx.svd"
        },
        {
            "cwd": "${workspaceRoot}",
            "type": "cortex-debug",
            "request": "launch",
            "name": "jlink",
            "servertype": "jlink",
            "interface": "swd",
            "executable": "build\\Project\\Project.elf",
            "runToEntryPoint": "main",
            "device": "PY32F002Bx5",
            "toolchainPrefix": "arm-none-eabi",
            "svdFile": ".pack/Puya/PY32F0xx_DFP.1.2.0/CMSIS/SVD/py32f002bxx.svd"
        }
    ]
}